setTimeout(() => {
  console.log('delayed');
}, 1000);

const promiseFunction = () => {
  return new Promise(resolve => {
    setTimeout(() => {
      resolve('hi from the future');
    }, 3000);
  });
};

const asyncFunction = async () => {
  const msg = await promiseFunction();
  console.log(msg);
};

asyncFunction();